Qt API | Qtopia API | Qtopia Documentation |

# MimeType Class Reference

The MimeType class provides MIME type information. More...

`#include <qtopia/mimetype.h>`

List of all member functions.

## Public Members

- MimeType ( const QString & ext_or_id )
- MimeType ( const DocLnk & lnk )
- QString id () const
- QString description () const
- QPixmap pixmap () const
- QPixmap bigPixmap () const
- const AppLnk * application () const

## Static Public Members

- QString appsFolderName ()
- void updateApplications ()

## Detailed Description

The MimeType class provides MIME type information.

A MimeType object is a light-weight value which provides information about a MIME type.

See also Qtopia Classes.

## Member Function Documentation

### MimeType::MimeType ( const QString & ext_or_id )

Constructs a MimeType. Normally, ext_or_id is a MIME type, but if ext_or_id starts with / or contains no /, it is interpretted as a filename and the extension (eg. .txt) is used as the MIME type.

### MimeType::MimeType ( const DocLnk & lnk )

Constructs a MimeType from the type() of lnk.

### const AppLnk * MimeType::application () const

Returns the AppLnk defining the application associated with this MIME type, or 0 if none is associated.

The caller must not retain the pointer, but of course you can dereference it to take a copy if needed.

See also Service::binding().

### QString MimeType::appsFolderName ()`[static]`

Returns a Qtopia folder containing application definitions.

### QPixmap MimeType::bigPixmap () const

Returns a larger QPixmap appropriate for the MIME type.

### QString MimeType::description () const

Returns a description of the MIME Type. This is usually based on the application() associated with the type.

### QString MimeType::id () const

Returns the MIME type identifier.

### QPixmap MimeType::pixmap () const

Returns a small QPixmap appropriate for the MIME type.

### void MimeType::updateApplications ()`[static]`

Reloads application definitions.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.